<!DOCTYPE html>
<html>
<head>
    <title>Ma todolist modif</title>

    <link rel="stylesheet" href="style.css" />
    <style>
        * {
            font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
            color: white;
        }
    
        body {
            width: 100%;
            height: 350px;
            background-color: rgb(0, 0, 0);
        }
    
        h1 {text-align: center;}
        h2 { 
            background-color: rgb(22, 35, 155); 
            font-size: 1em;
            line-height: 2.5em;
            padding: 25px;
            border-radius: 12px;
        }
        #taskCible { color: green; font-size: 1.2em;}
        
    
        #container {
            display: flex;
            justify-content: space-around;
            align-items: center;
            margin-top: 35px;
            padding-top: 50px;
            width: 98%;
            height: 100%;
            text-align: center;
    
            background: linear-gradient( 135deg, rgb(104, 126, 226) 40%, blue 35%);
    
        }
    
        form {
            border-radius: 12px;
            width: 30%;
            
            min-height: 285px;
            background-color: rgb(138, 5, 5);
            display: flex;
            flex-direction: column;
        }
    
        #bnt-ret {
            
        }
        #link-ret {
            color: white;text-decoration: none; border-radius: 8px;
        }
        #newtodo {
            margin: 25px auto;
            height: 50px;
        }
    
        #taskContainer {
            background-color: indigo;
            width: 40%;
            border-radius: 12px;
            min-height: 285px;
            text-align: left;
            display: flex;
            align-items: flex-start;
            margin-top: 30px;
        }
    
        #task-list {
            display: flex;
            flex-direction: column;
            align-items: center;
        }
    
        input#task {
            color: firebrick;
            text-align: left;
            height: 130px;
            margin: 25px auto;
        }
    
        #btn-submit { color: white; background-color: green; width: 75%; height: 38px; padding: 6px; margin: 10px auto; border-radius: 8px;}
        #link-delete {
            color: red;
            text-decoration: none;
        }
    
        #link-ret {
            /* color: red; */ background-color:  cornflowerblue; padding: 10px;
        }
         i { position: absolute; color: orangered;}
    
         label {padding: 20px ;}
    </style>
</head>

<body>
    <h1>Todolist</h1>

    <section id="container">

        <h2>Tâche actuellement ciblé : <br />
            <span id="taskCible"><%= todolist[index] %></span>
        </h2>

        <form action="/todo/update/<%= index %>" method="post">
            <label for="task">Entrez le nouvelle intitulé de la tâche ci-dessous :</label><br />
            <input type="text" name="task" id="task" autofocus />
            <input id="btn-submit" type="submit" />
        </form>

        <i class="fas fa-pen-square"></i><a id="link-ret" href="/todo/<%= index %>">Retour à la todolist</a>
    </section>


</body>

</html>